## cinder 14.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
decorator>=3.4.0 # BSD
defusedxml>=0.5.0 # PSF
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT
httplib2>=0.9.1 # MIT
iso8601>=0.1.11 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
ipaddress>=1.0.17;python_version<'3.3' # PSF
keystoneauth1>=3.7.0 # Apache-2.0
keystonemiddleware>=4.21.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=6.4.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.44.1 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.34.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
PrettyTable<0.8,>=0.7.1 # BSD
psutil>=3.2.2 # BSD
pyparsing>=2.1.0 # MIT
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.15.0 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
requests>=2.14.2,!=2.20.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.3.1 # MIT
taskflow>=3.2.0 # Apache-2.0
rtslib-fb>=2.1.65 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.7.1 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
os-brick>=2.2.0 # Apache-2.0
os-win>=3.0.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
mock>=2.0.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinx-feature-classification>=0.1.0 # Apache 2.0

=== debian/changelog ===
cinder (2:14.0.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:21:33 +0200

cinder (2:14.0.0-3) experimental; urgency=medium

  * d/cinder-api.postinst.in: Fix 35357 port to 5000

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 07 May 2019 09:31:43 +0200

cinder (2:14.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 18:52:07 +0200

cinder (2:14.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 08:59:10 +0200

cinder (2:14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using oslo-config-generator without the python3- prefix.
  * Removed New_snapshot_clone_size_option.patch.
  * Also package usr/bin/cinder-status.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 12:55:53 +0100

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-barbicanclient,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-decorator,
 python3-defusedxml,
 python3-doc8,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient (>= 2.15.0),
 python3-googleapi,
 python3-greenlet,
 python3-hacking,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mock,
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-brick,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-oslotest,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-reno,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-rtslib-fb,
 python3-six,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 thin-provisioning-tools,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-cinder (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-barbicanclient,
 python3-castellan,
 python3-cryptography,
 python3-cursive,
 python3-decorator,
 python3-defusedxml,
 python3-eventlet,
 python3-glanceclient (>= 2.15.0),
 python3-googleapi,
 python3-greenlet,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client,
 python3-os-brick,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 1.32.1),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslo.vmware,
 python3-osprofiler,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-rtslib-fb,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-tooz,
 python3-tz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ceph-common,
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst debian/cinder-common.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.templates
	if [ -e debian/po-backup ] ; then \
		rm -rf debian/po ; \
		mv debian/po-backup debian/po ; \
	fi
	rm -rf build
	find . -name '*.pyc' -delete
	rm -rf .stestr
	rm -rf cinder.egg-info
	rm -f AUTHORS ChangeLog

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cinder-common.postrm
	cp -auxf debian/po debian/po-backup
	pkgos-merge-templates cinder-api cinder endpoint
	pkgos-merge-templates cinder-common cinder db rabbit ksat

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i stestr run  | subunit2pyunit ; \
	done
endif

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 140 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken cinder

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/policy.json \
		--format json \
		--namespace cinder

	dh_install
	dh_missing --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT auth_strategy keystone

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cinder 14.0.1

=== debian/changelog ===
cinder (2:14.0.1-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Stein (LP: #1837905).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 29 Jul 2019 08:36:06 +0200

cinder (2:14.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:44:29 +0100

cinder (2:14.0.0~rc2-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 05 Apr 2019 11:52:10 +0200

cinder (2:14.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 09:34:08 +0000

cinder (2:14.0.0~b1~git2019031444.b347f9e31-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 08:02:32 +0000

cinder (2:14.0.0~b1~git2019013028.45f967ef9-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:42:10 +0000

cinder (2:14.0.0~b1~git2018120609.2cd694046-0ubuntu1) disco; urgency=medium

  * d/tests/control, d/tests/cinder-daemons, d/tests/cinder-volume: Switch to
    using mysql-server databases in autopkgtests.
  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Ensure python3-migrate version is compatable with sqlite>=3.26
    (LP: #1807262).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Dec 2018 09:27:58 -0500

cinder (2:14.0.0~b1~git2018111617.4529b193d-0ubuntu2) disco; urgency=medium

  * d/py3dist-overrides: Added based on recently dropped pydist-overrides.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 10:09:20 -0500

cinder (2:14.0.0~b1~git2018111617.4529b193d-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control, d/rules, d/python(3)-cinder.*, d/tests/*: Drop Python 2
    support.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 17:24:41 -0500

cinder (2:14.0.0~b1~git20181113.f0aa3665e-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/rados-read-write-byte-data.patch: Dropped. Fixed in upstream snapshot.
  * d/rules: Ensure python3 shebangs are set to /usr/bin/python3.
  * d/rules: Enable Python 3.7 tests.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-taskflow-tests-py37.patch: Skip tests that are failing for
    Python 3.7 due to taskflow StopIteration issue.
  * d/t/cinder-shebangs-py3: Update shebang for Python 3.7.
  * d/watch: Scope to 14.x series.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Nov 2018 12:09:27 -0500

=== debian/tests/control ===
Tests: cinder-daemons cinder-volume
Depends: cinder-api, cinder-scheduler, lvm2, mysql-server
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/cinder/ cinder-(14\.\d.*)\.tar\.gz

## cinder 14.0.2

=== debian/changelog ===
cinder (2:14.0.2-0ubuntu1) disco; urgency=medium

  * New upstream point release for OpenStack Stein (LP: #1849192):
    - Includes fix for SIGABRT in cinder-backup/ceph (LP: #1838691).
    - d/p/Fix-DetachedInstanceError-for-VolumeAttachment.patch: Drop,
      included in release.

 -- James Page <james.page@ubuntu.com>  Mon, 21 Oct 2019 21:00:16 +0100

cinder (2:14.0.1-0ubuntu3) disco; urgency=medium

  * d/tests/cinder-daemons: As of disco, sqlalchemy defaults to mysqldb so
    we must override the driver to use pymysql (LP: #1845321).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 08:57:46 -0400

cinder (2:14.0.1-0ubuntu2) disco; urgency=medium

  * d/p/Fix-DetachedInstanceError-for-VolumeAttachment.patch: Cherry
    pick fix for issue with DetachedInstanceError being generated due
    to compatibility issues with SQLAlchemy (LP: #1834845) 

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2019 13:46:02 +0100

## cinder 14.3.1

=== requirements.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 WebOb>=1.7.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.vmware>=2.17.0 # Apache-2.0
-os-brick>=2.2.0 # Apache-2.0
+os-brick>=2.8.7 # Apache-2.0
 os-win>=3.0.0 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0

=== debian/changelog ===
cinder (2:14.3.1-0ubuntu1~cloud1) bionic-stein; urgency=medium

  * d/p/rbd-retry-delete.patch: Fix RBD mirroring race by retrying volume delete
    if VolumeIsBusy in _copy_image_to_volume (LP: #1900775).
  * d/p/add-mock-psutil-in-quobyte-tests.patch: Add a mock of psutil
    disk_partitions to fix failing unit test (LP: #1913607).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jan 2021 15:52:43 -0500

cinder (2:14.3.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New stable point release for OpenStack Stein (LP: #1904563).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 18 Nov 2020 14:49:20 +0000

cinder (2:14.2.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1888203).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 13:50:58 +0000

cinder (2:14.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Stein (LP: #1884028).

  [ Corey Bryant ]
  * SECURITY UPDATE: Dell EMC ScaleIO/VxFlex OS Backend Credentials Exposure
    (LP: #1823200)
    - Remove VxFlex OS credentials from connection_properties. Passwords are
      now stored in separate file and are retrieved during each attach/detach
      operation. Cinder is patched in 14.1.0 stable point release.
    - d/control: Align (Build-)Depends with min version of python3-os-brick
      required to fix credential exposure.
    - CVE-2020-10755

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 18 Jun 2020 07:22:36 +0000

cinder (2:14.0.4-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Stein (LP: #1871126).
  * d/control: Add python3-sqlalchemy-utils BD.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:39:00 -0400

cinder (2:14.0.3-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1858934).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 09:07:36 -0500

cinder (2:14.0.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 28 Oct 2019 13:21:31 +0000

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.0.1),
 python3-decorator (>= 3.4.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.15.0),
 python3-googleapi (>= 1.4.2),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.7.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 3.4.1),
 python3-migrate (>= 0.11.0-3ubuntu1~),
 python3-mock (>= 2.0.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oauth2client (>= 1.5.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 2.8.1-0ubuntu1~cloud0.1),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.34.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-pyparsing (>= 2.1.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-rtslib-fb (>= 2.1.65),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Breaks:
 cinder-api (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-backup (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-scheduler (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-volume (<< 2:13.0.0~rc1-0ubuntu3~),
Replaces:
 cinder-api (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-backup (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-scheduler (<< 2:13.0.0~rc1-0ubuntu3~),
 cinder-volume (<< 2:13.0.0~rc1-0ubuntu3~),
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 tgt,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-decorator (>= 3.4.0),
 python3-defusedxml (>= 0.5.0),
 python3-eventlet (>= 0.18.2),
 python3-glanceclient (>= 1:2.15.0),
 python3-greenlet (>= 0.4.10),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.7.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 3.4.1),
 python3-migrate (>= 0.11.0-3ubuntu1~),
 python3-novaclient (>= 2:9.1.0),
 python3-os-brick (>= 2.8.1-0ubuntu1~cloud0.1),
 python3-os-win (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.44.1),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.34.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.17.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 3.2.0),
 python3-tooz (>= 1.58.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-googleapi (>= 1.4.2),
 python3-hp3parclient,
 python3-oauth2client (>= 1.5.0),
 python3-rados,
 python3-rbd,
 python3-rtslib-fb,
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(14\.\d.*)\.tar\.gz

## cinder 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,11 +6,11 @@
 decorator>=3.4.0 # BSD
 defusedxml>=0.5.0 # PSF
 enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet!=0.23.0,!=0.25.0,>=0.22.0 # MIT
 greenlet>=0.4.10 # MIT
 httplib2>=0.9.1 # MIT
 iso8601>=0.1.11 # MIT
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 ipaddress>=1.0.17;python_version<'3.3' # PSF
 keystoneauth1>=3.7.0 # Apache-2.0
 keystonemiddleware>=4.21.0 # Apache-2.0
@@ -58,7 +58,7 @@
 WebOb>=1.7.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.vmware>=2.17.0 # Apache-2.0
-os-brick>=2.8.7 # Apache-2.0
+os-brick>=2.2.0 # Apache-2.0
 os-win>=3.0.0 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0

=== debian/changelog ===
cinder (2:15.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 10:59:02 -0400

cinder (2:15.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 15.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 08:56:56 -0400

cinder (2:15.0.0~b3~git2019092509.cea6e823c-0ubuntu2) eoan; urgency=medium

  * Fix test issues triggered by mysql8
    - d/p/fix-test-setup-mysql8.patch: use explicit create user in CI setup
    - debian/tests/cinder-daemons: use explicit create user in autopkgtest

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 26 Sep 2019 09:07:05 +0200

cinder (2:15.0.0~b3~git2019092509.cea6e823c-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/tests/cinder-daemons: As of disco, sqlalchemy defaults to mysqldb so
    we must override the driver to use pymysql (LP: #1845321).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 08:48:14 -0400

cinder (2:15.0.0~b1~git2019080709.0a0d55d8a-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train (LP: #1834845).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2019 13:13:56 +0100

cinder (2:15.0.0~b1~git2019061315.6cbc53b71-0ubuntu1) eoan; urgency=medium

  * New upstream release 15.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 10:25:06 +0100

=== debian/control ===
--- 
+++ 
@@ -15,22 +15,23 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.3),
 Build-Depends-Indep:
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
  python3-coverage (>= 4.0),
  python3-cryptography (>= 2.1),
  python3-cursive (>= 0.2.1),
- python3-ddt (>= 1.0.1),
+ python3-ddt (>= 1.2.1),
  python3-decorator (>= 3.4.0),
  python3-defusedxml (>= 0.5.0),
- python3-eventlet (>= 0.18.2),
+ python3-doc8 (>= 0.6.0),
+ python3-eventlet (>= 0.22.0),
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:2.15.0),
  python3-googleapi (>= 1.4.2),
  python3-greenlet (>= 0.4.10),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-httplib2 (>= 0.9.1),
  python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 2.6.0),
@@ -38,13 +39,13 @@
  python3-keystoneclient (>= 1:3.15.0),
  python3-keystonemiddleware (>= 4.21.0),
  python3-lxml (>= 3.4.1),
- python3-migrate (>= 0.11.0-3ubuntu1~),
+ python3-migrate (>= 0.11.0),
  python3-mock (>= 2.0.0),
  python3-novaclient (>= 2:9.1.0),
  python3-oauth2client (>= 1.5.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-os-api-ref (>= 1.4.0),
- python3-os-brick (>= 2.8.1-0ubuntu1~cloud0.1),
+ python3-os-brick (>= 2.2.0),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
@@ -72,7 +73,8 @@
  python3-pep8,
  python3-prettytable (>= 0.7.1),
  python3-psutil (>= 3.2.2),
- python3-psycopg2 (>= 2.6.2),
+ python3-psycopg2 (>= 2.7),
+ python3-pycodestyle (>= 2.5.0),
  python3-pymysql (>= 0.7.6),
  python3-pyparsing (>= 2.1.0),
  python3-reno (>= 2.5.0),
@@ -81,8 +83,9 @@
  python3-routes (>= 2.3.1),
  python3-rtslib-fb (>= 2.1.65),
  python3-six (>= 1.10.0),
+ python3-sphinx-feature-classification (>= 0.1.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sqlalchemy (>= 1.0.10),
- python3-sqlalchemy-utils,
  python3-stestr,
  python3-stevedore (>= 1:1.20.0),
  python3-suds (>= 0.6),
@@ -98,8 +101,8 @@
  python3-webob (>= 1:1.7.1),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/cinder
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
 Testsuite: autopkgtest-pkg-python
 
 Package: cinder-api
@@ -205,7 +208,7 @@
  python3-cursive (>= 0.2.1),
  python3-decorator (>= 3.4.0),
  python3-defusedxml (>= 0.5.0),
- python3-eventlet (>= 0.18.2),
+ python3-eventlet (>= 0.22.0),
  python3-glanceclient (>= 1:2.15.0),
  python3-greenlet (>= 0.4.10),
  python3-httplib2 (>= 0.9.1),
@@ -215,9 +218,9 @@
  python3-keystoneclient (>= 1:3.15.0),
  python3-keystonemiddleware (>= 4.21.0),
  python3-lxml (>= 3.4.1),
- python3-migrate (>= 0.11.0-3ubuntu1~),
+ python3-migrate (>= 0.11.0),
  python3-novaclient (>= 2:9.1.0),
- python3-os-brick (>= 2.8.1-0ubuntu1~cloud0.1),
+ python3-os-brick (>= 2.2.0),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
@@ -241,6 +244,7 @@
  python3-paramiko (>= 2.0.0),
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),
+ python3-pbr (>= 2.0.0),
  python3-prettytable (>= 0.7.1),
  python3-psutil (>= 3.2.2),
  python3-pyparsing (>= 2.1.0),
@@ -264,7 +268,7 @@
  python3-oauth2client (>= 1.5.0),
  python3-rados,
  python3-rbd,
- python3-rtslib-fb,
+ python3-rtslib-fb (>= 2.1.65),
 Description: Cinder Python 3 libraries
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd,apache2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-cinder/usr/etc

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all -Xusr/bin/cinder-api

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cinder 15.0.1

=== debian/changelog ===
cinder (2:15.0.1-0ubuntu1) eoan; urgency=medium

  * d/gbp.conf: Create stable/train branch.
  * New stable point release for OpenStack Train (LP: #1858933).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:50:21 -0500

## cinder 15.1.0

=== debian/changelog ===
cinder (2:15.1.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train (LP: #1871125).
  * d/control: Add python3-sqlalchemy-utils BD.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 10:30:11 -0400

=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
  python3-sphinx-feature-classification (>= 0.1.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy-utils,
  python3-stestr,
  python3-stevedore (>= 1:1.20.0),
  python3-suds (>= 0.6),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/cinder/ cinder-(15\.\d.*)\.tar\.gz

## cinder 15.6.0

=== requirements.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.context>=2.19.2 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=6.4.0 # Apache-2.0
@@ -28,7 +28,7 @@
 oslo.reports>=1.18.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.service>=1.31.0 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.34.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
@@ -44,7 +44,7 @@
 python-keystoneclient>=3.15.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
-pytz>=2013.6 # MIT
+pytz>=2015.7 # MIT
 requests>=2.14.2,!=2.20.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 Routes>=2.3.1 # MIT
@@ -58,10 +58,10 @@
 WebOb>=1.7.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.vmware>=2.17.0 # Apache-2.0
-os-brick>=2.2.0 # Apache-2.0
-os-win>=3.0.0 # Apache-2.0
+os-brick>=2.10.5 # Apache-2.0
+os-win>=4.1.0 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=2.1.4 # BSD/Apache-2.0
 cursive>=0.2.1 # Apache-2.0

=== debian/changelog ===
cinder (2:15.6.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1927974).
  * d/p/: Patch included in latest point release.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 21 May 2021 12:56:39 +0000

cinder (2:15.4.1-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/rbd-retry-delete.patch: Fix RBD mirroring race by retrying volume delete
    if VolumeIsBusy in _copy_image_to_volume (LP: #1900775).
  * d/p/add-mock-psutil-in-quobyte-tests.patch: Add a mock of psutil
    disk_partitions to fix failing unit test (LP: #1913607).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jan 2021 15:44:30 -0500

cinder (2:15.4.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train(LP: #1912323).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 19 Jan 2021 11:48:56 +0000

cinder (2:15.4.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Train (LP: #1900476).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 15:03:46 -0400

cinder (2:15.3.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1888201),

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 20 Jul 2020 15:01:58 +0000

cinder (2:15.2.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Train (LP: #1883892)
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * SECURITY UPDATE: Dell EMC ScaleIO/VxFlex OS Backend Credentials Exposure
    (LP: #1823200)
    - Remove VxFlex OS credentials from connection_properties. Passwords are
      now stored in separate file and are retrieved during each attach/detach
      operation. Cinder is patched in 15.2.0 stable point release.
    - d/control: Align (Build-)Depends with min version of python3-os-brick
      required to fix credential exposure.
    - CVE-2020-10755

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 17 Jun 2020 12:04:27 +0000

cinder (2:15.1.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 08 Apr 2020 13:41:19 +0000

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
  python3-oauth2client (>= 1.5.0),
  python3-openstackdocstheme (>= 1.20.0),
  python3-os-api-ref (>= 1.4.0),
- python3-os-brick (>= 2.2.0),
+ python3-os-brick (>= 2.10.0-0ubuntu1~cloud0.1),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
@@ -102,8 +102,8 @@
  python3-webob (>= 1:1.7.1),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/cinder
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
 Testsuite: autopkgtest-pkg-python
 
 Package: cinder-api
@@ -221,7 +221,7 @@
  python3-lxml (>= 3.4.1),
  python3-migrate (>= 0.11.0),
  python3-novaclient (>= 2:9.1.0),
- python3-os-brick (>= 2.2.0),
+ python3-os-brick (>= 2.10.0-0ubuntu1~cloud0.1),
  python3-os-win (>= 3.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
